
Figure - Bug #118181
【IOVDEV-29802】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏在企业微信app内进行语音通
话后，通知中心仍还有语音电话的弹窗
2023-05-23 14:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.c101��【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230522 11：35

【前提条件】：副屏上电

【操作步骤】

1.打开企业微信进行过语音通话

2.结束通话后

3.下拉控制中心

【实际结果】

1.控制中心显示企业微信语音通话仍在进行

【期望结果】

1.控制中心无企业微信的语音通话显示

【备注】：

第136次开机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/2L0zivp88hU%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-23 15:08 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118181

#2 - 2023-05-24 16:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED
- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-05-24 19:14 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

■ Current conclusion

通过分析及复现现象（在我这无法复现），出现该现象的可能有如下几点：

1. 通话正在进行中；（属于正常现象）

2. 远端挂断，但设备端还未挂断；（企业微信本身的延迟导致）

因为企业微信通话界面退出后（还在通话中），若需要再次进入通话界面，仅可通过通知栏和悬浮球（需要赋予允许显示在其他应用上层权限）进入，

且在企业微信的其他界面中是无法看出是否在通话中的，所以从问题视频中并不能判断通话已经中断。

从日志中看，11:36:23 对通知进行了点击，还能再次进入通话界面，所以企业微信设备端的通话还存在，并未挂断。

日志如下：

05-22 11:36:23.447  1522  4610 I notification_clicked: [0|com.tencent.wework|1001|null|10097,105409,77372,3908,1,2]

05-22 11:36:23.448  1522  1522 I sysui_multi_action: [757,804,799,note_click_longevity,801,1,802,1]

05-22 11:36:23.448  2462  2462 I wm_on_paused_called: [116589749,com.android.launcher3.uioverrides.QuickstepLauncher,performPause]

05-22 11:36:23.449  1522 13113 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.tencent.wework.multitalk.controller.VoipCallActivity

05-22 11:36:23.449  1522 13113 I ActivityTaskManager: The Process com.tencent.wework Already Exists in BG. So sending its PID: 21281

05-22 11:36:23.449  1522 13113 W ActivityTaskManager: Tried to set launchTime (0) < mLastActivityLaunchTime (5811784)

05-22 11:36:23.449  1522 13113 I wm_restart_activity: [0,176549920,65516,com.tencent.wework/.multitalk.controller.VoipCallActivity]

05-22 11:36:23.449  1522 13113 D CompatibilityInfo: mCompatibilityFlags - 4

05-22 11:36:23.449  1522 13113 D CompatibilityInfo: applicationDensity - 240

05-22 11:36:23.449  1522 13113 D CompatibilityInfo: applicationScale - 1.0

05-22 11:36:23.450  1522 13113 I wm_set_resumed_activity: [0,com.tencent.wework/.multitalk.controller.VoipCallActivity,minimalResumeActivityLocked]

并且从 11:35:04 收到企业微信的取消通知的消息（notification_canceled）后，到 11:37:48 再次收到，中间并没有相关消息。所以在此期间，企业微信没有

通知系统移除通知。

■ Next action

测试复现现象，如果不能复现问题，麻烦同步客户，让客户复现问题。

注意：在复现的时候最好把企业微信的 允许显示在其他应用上层 权限打开，这样可以直观的看见通话是否进行中。

#4 - 2023-05-25 17:56 - CDTS_Test 吴诗雨

已同步客户

#5 - 2023-05-26 18:48 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

在副屏100版本已复现，已开启允许显示在其他应用层上层权限

1.点击打开企业微信语音电话，进行通话

2025-07-04 2/3



2.对方挂断后，通知中心仍存留语音通话进行中的弹窗

日志、视频地址：https://ofs.human-horizons.com/#/download/index/fOH9cH6vcXs%3D

日志视频已上传到ftp

#6 - 2023-05-29 19:20 - CD FW-廖涛

■ Current conclusion

本地还是无法复现该问题，客户新提供的日志中确实没有最后的 notification_caneled，日志的最后时间仅比问题时间多 1 分钟，所以需要进一步确认是否

日志不全。从客户提供的问题视频看，确实存在问题。

■ Next action

1. 和我们的测试一起复现现象；

2. 继续分析；

#7 - 2023-06-01 15:49 - CD FW-廖涛

■ Current conclusion

我和诗雨都无法复现该问题，已向客户了解该问题的复现路径及相关详细信息。

■ Next action

等待客户回复后继续分析。

#8 - 2023-06-03 16:12 - CD TEST-方永红

6.3

客户复现中

#9 - 2023-06-07 20:13 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Need_Info changed from TEST to --

#10 - 2023-07-04 17:59 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户多个版本未复现，BUG已关闭

#11 - 2023-07-04 18:00 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-04 18:00 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
